## cclib 1.5.3

=== requirements.txt ===
biopython ; python_version == '2.7' or python_version >= '3.4'
numpy
openbabel

# For some reason PyQuante can't be installed from PyPI.
https://sourceforge.net/projects/pyquante/files/PyQuante-1.6/PyQuante-1.6.5/PyQuante-1.6.5.tar.gz  ; python_version <= '2.7'

# for unit tests
mock==2.0.0 ; python_version < '3.3'

## cclib 1.0.1

=== debian/changelog ===
cclib (1.0.1-2) unstable; urgency=low

  * debian/control: Use source:Version in package dependencies.
  * debian/control: Remove +ssh from Vcs-Svn (closes: #669254).
  * Use dh_python2 and fix helper-templates-in-copyright error.

 -- Karol M. Langner <karol.langner@gmail.com>  Thu, 19 Apr 2012 11:58:53 +0200

cclib (1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Karol M. Langner <karol.langner@gmail.com>  Tue, 26 Jul 2011 14:53:32 +0100

=== debian/control ===
Source: cclib
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Karol M. Langner <karol.langner@gmail.com>
Build-Depends: python, debhelper (>= 7.0.50~)
X-Python-Version: >= 2.4
Standards-Version: 3.9.1
Homepage: http://cclib.sourceforge.net
Vcs-Svn: svn://svn.debian.org/debichem/unstable/cclib/
Vcs-Browser: http://svn.debian.org/viewvc/debichem/unstable/cclib/

Package: cclib
Architecture: all
Section: science
Depends: ${misc:Depends}, ${python:Depends}, python-cclib (= ${source:Version})
Suggests: cclib-data
Description: Parsers and algorithms for computational chemistry
 A Python library that provides parsers for computational
 chemistry log files. It also provides a platform to implement
 algorithms in a package-independent manner.
 .
 This package contains helper scripts for end users.
 .
 If you are looking for the unit tests and data files managed by cclib,
 they are distributed separately as in non-free package cclib-data. 

Package: python-cclib
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-numpy
Recommends: cclib
Description: Parsers and algorithms for computational chemistry (Python module)
 A Python library that provides parsers for computational
 chemistry log files. It also provides a platform to implement
 algorithms in a package-independent manner.
 .
 This package contains the Python module.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/python/python.mk

PYVERS=$(shell pyversions -vd)

%:
	dh --with python2 $@

override_dh_auto_install:
	for pyver in $(PYVERS); do \
	  python$$pyver setup.py install \
	  --root $(CURDIR)/debian/python-cclib \
	  --prefix=/usr --no-compile \
	  $(py_setup_install_args); \
	done

override_dh_install:
	dh_install
	mv debian/cclib/usr/bin/ccget debian/cclib/usr/bin/cclib-get
	mv debian/cclib/usr/bin/cda debian/cclib/usr/bin/cclib-cda

## cclib 1.1

=== debian/changelog ===
cclib (1.1-1) unstable; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/patches/fix_setup.patch: Refreshed.
  * debian/control (Uploaders): Added myself.

  [ Daniel Leidert (dale) ]
  * debian/control: Added Provides field for python-cclib. Fixed
    binary-control-field-duplicates-source.
    (Build-Depends): Added python-numpy for dh_numpy and fixed python version.
    (Standards-Version): Bumped to 3.9.3.
  * debian/cclib.docs: Removed duplicate CHANGELOG also handled by
    dh_installchangelogs.
  * debian/cclib.install: Fixed brace-expansion-in-debhelper-config-file.
  * debian/get-orig-source.sh: Added for re-packaging.
  * debian/rules: Made shorter. Run dh_numpy.
  * debian/upstream: Added.
  * debian/watch: Fixed.

 -- Michael Banck <mbanck@debian.org>  Sun, 24 Feb 2013 14:54:36 +0100

=== debian/control ===
Source: cclib
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Karol M. Langner <karol.langner@gmail.com>, 
           Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python (>> 2.6.6-3~),
               python-numpy (>> 1:1.4.1-4~)
X-Python-Version: >= 2.4
Standards-Version: 3.9.3
Homepage: http://cclib.sourceforge.net
Vcs-Svn: svn://svn.debian.org/debichem/unstable/cclib/
Vcs-Browser: http://svn.debian.org/viewvc/debichem/unstable/cclib/

Package: cclib
Architecture: all
Depends: python-cclib (= ${source:Version}), ${misc:Depends}, ${python:Depends}
Suggests: cclib-data
Description: Parsers and algorithms for computational chemistry
 A Python library that provides parsers for computational
 chemistry log files. It also provides a platform to implement
 algorithms in a package-independent manner.
 .
 This package contains helper scripts for end users.
 .
 If you are looking for the unit tests and data files managed by cclib,
 they are distributed separately as in non-free package cclib-data.

Package: python-cclib
Architecture: all
Section: python
Provides: ${python:Provides}
Depends: python-numpy, ${misc:Depends}, ${python:Depends}
Recommends: cclib
Description: Parsers and algorithms for computational chemistry (Python module)
 A Python library that provides parsers for computational
 chemistry log files. It also provides a platform to implement
 algorithms in a package-independent manner.
 .
 This package contains the Python module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with=python2 --parallel

override_dh_auto_install:
	dh_auto_install --destdir=debian/python-cclib/

override_dh_install:
	dh_install
	mv debian/cclib/usr/bin/ccget debian/cclib/usr/bin/cclib-get
	mv debian/cclib/usr/bin/cda debian/cclib/usr/bin/cclib-cda

override_dh_python2:
	dh_python2
	dh_numpy

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
 http://sf.net/cclib/cclib-([\d\.]+)\.tar\.gz \
 debian /bin/sh debian/get-orig-source.sh

## cclib 1.3.1

=== debian/changelog ===
cclib (1.3.1-1) unstable; urgency=medium

  * New upstream release.

  [ Daniel Leidert ]
  * debian/cclib.install: Minor change to receive files from debian/tmp/.
  * debian/compat: Raised compat level to 9.
  * debian/control: Added python3-cclib (closes: #733737). Wrapped and sorted.
    (Standards-Version): Bumped to 3.9.6.
    (Homepage): Updated.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (Build-Depends): Added python3* deps and dh_python. Raised dh version.
    (Depends): Make cclib depend on python3-cclib and python3.
  * debian/copyright: Rewritten for DEP5 compliance and updated.
  * debian/python-cclib.install, debian/python3-cclib.install: Added.
  * debian/rules: Added python3 add-on and dropped dh_auto_install override.
    Added new override target for dh_python3 with a call to dh_numpy3.
  * debian/upstream: Moved to debian/upstream/metadata and updated.
  * debian/watch: Fixed after project split and moved to github.
  * debian/patches/fix_setup.patch: Dropped. Upstream split the source into
    cclib and cclib-data, so this patch does not apply anymore.
  * debian/patches/series: Dropped, empty.
  * debian/get-orig-source.sh: Dropped, unused.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Fri, 28 Aug 2015 12:48:45 +0200

=== debian/control ===
Source: cclib
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Karol M. Langner <karol.langner@gmail.com>,
           Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>> 9~),
               dh-python,
               python-all (>> 2.6.6-3~),
               python-numpy (>> 1:1.4.1-4~),
               python-setuptools,
               python3-all,
               python3-numpy (>> 1:1.6.2~rc1-1~),
               python3-setuptools
Standards-Version: 3.9.6
Homepage: http://cclib.github.io
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/cclib/
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/cclib/

Package: cclib
Architecture: all
Depends: python3-cclib (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: cclib-data
Description: Parsers and algorithms for computational chemistry
 A Python library that provides parsers for computational
 chemistry log files. It also provides a platform to implement
 algorithms in a package-independent manner.
 .
 This package contains helper scripts for end users.
 .
 If you are looking for the unit tests and data files managed by cclib,
 they are distributed separately as in non-free package cclib-data.

Package: python-cclib
Architecture: all
Section: python
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}
Recommends: cclib
Description: Parsers and algorithms for computational chemistry (Python module)
 A Python library that provides parsers for computational
 chemistry log files. It also provides a platform to implement
 algorithms in a package-independent manner.
 .
 This package contains the Python module.

Package: python3-cclib
Architecture: all
Section: python
Provides: ${python3:Provides}
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: cclib
Description: Parsers and algorithms for computational chemistry (Python3 module)
 A Python library that provides parsers for computational
 chemistry log files. It also provides a platform to implement
 algorithms in a package-independent manner.
 .
 This package contains the Python3 module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild --parallel

override_dh_install:
	dh_install --list-missing
	mv debian/cclib/usr/bin/ccget debian/cclib/usr/bin/cclib-get
	mv debian/cclib/usr/bin/cda debian/cclib/usr/bin/cclib-cda

override_dh_python2:
	dh_python2 -ppython-cclib
	dh_numpy -ppython-cclib

override_dh_python3:
	dh_python3 -Npython-cclib
	dh_numpy3 -Npython-cclib

=== debian/watch ===
version=3
https://github.com/cclib/cclib/releases .*/releases/.*/cclib-([\d.]+)\.tar\.gz$

## cclib 1.5.3

=== debian/changelog ===
cclib (1.5.3-1) unstable; urgency=medium

  * New upstream release.
    - License has been changed in version 1.5 from LGPL to 3-Clause BSD
      (see debian/copyright).

  [ Daniel Leidert ]
  * debian/compat: Raised dh compatibility level to 11.
  * debian/control (Vcs*): Adjusted after move to salsa.d.o.
    (Build-Depends): Raised debhelper version.
    (Uploaders): Removed Karol Langner. Thanks for your work.
    (Standards-Version): Bumped to 4.1.4.
  * debian/copyright: Updated. Upstream changed license from LGPL to BSD.
  * debian/rules: Removed obsolete --parallel switch.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Tue, 01 May 2018 22:36:16 +0200

cclib (1.5-1) UNRELEASED; urgency=medium

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Bumped to 3.9.8.
  * debian/copyright: Updated. Added section to remove files from cclib-data.
  * debian/watch: Updated.
  * debian/cclib-cda.1: Updated manual page.
  * debian/cclib-get.1: Ditto.
  * debian/cclib.docs: Removed README.
  * debian/cclib.manpages: Added ccwrite manual page.
  * debian/ccwrite.1: Added.
  * debian/rules: Disable test target, because it will fail without the
    stripped data files.
  * debian/watch: Minor update.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 06 Oct 2016 19:57:18 +0200

## cclib 1.6

=== requirements.txt ===
biopython
numpy
scipy
periodictable
openbabel

# For some reason PyQuante can't be installed from PyPI.
https://sourceforge.net/projects/pyquante/files/PyQuante-1.6/PyQuante-1.6.5/PyQuante-1.6.5.tar.gz  ; python_version <= '2.7'

# For building the documentation
sphinx

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = cclib
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
.PHONY: help Makefile
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O) && exit 2

.PHONY: default
default: cclib update attributes coverage html

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf cclib*
	-rm -rf attributes*.rst
	-rm -rf coverage*.rst

PRODUCTION_VERSION = v1.6
CCLIB_PROD = $(BUILDDIR)/cclib_prod
CCLIB_DEV = $(BUILDDIR)/cclib_dev
SRC_PROD = $(CCLIB_PROD)/cclib
SRC_DEV = $(CCLIB_DEV)/cclib

# Have the production and master in two separate directories so that
# dependencies are triggered correctly. If we had one, it would not
# work correctly, since git updates timestamps on each checkout, which
# would trigger some targets unnecessarily.
.PHONY: cclib
cclib: $(CCLIB_PROD) $(CCLIB_DEV)
$(CCLIB_PROD):
	@echo "Checking out prod..."
	git clone https://github.com/cclib/cclib.git $@
	cd $(CCLIB_PROD); git checkout $(PRODUCTION_VERSION)
$(CCLIB_DEV):
	@echo "Checking out dev..."
	git clone -b master https://github.com/cclib/cclib.git $@

.PHONY: update update_prod update_dev
update: update_prod update_dev
update_prod:
	@echo "Updating prod..."
	cd $(CCLIB_PROD); git checkout $(PRODUCTION_VERSION); git fetch --all --tags
	cd $(CCLIB_PROD); find . -name "*.pyc" -delete
update_dev:
	@echo "Updating dev..."
	cd $(CCLIB_DEV); git pull origin; git fetch --all --tags
	cd $(CCLIB_DEV); find . -name "*.pyc" -delete

# Since we have two separate directories, 'checking out' a branch actually
# means making a symlink to the appropriate directory, because scripts should be
# impervious to this Makefile and will import from always the same name (cclib).
.PHONY: checkout_prod checkout_dev
checkout_prod:
	-rm -rf cclib
	ln -s $(SRC_PROD) cclib
checkout_dev:
	-rm -rf cclib
	ln -s $(SRC_DEV) cclib

# We need three layers of targets in order to always get the checkout
# to execute, but the actual file-generating target to run only if the
# appropriate files have been updated (resolved via the right symlink).
.PHONY: attributes
attributes: attributes.rst attributes_dev.rst
attributes.rst: attributes.py $(SRC_PROD)/parser/data.py
	@echo "Generating prod attributes..."
	@$(MAKE) --no-print-directory checkout_prod
	python attributes.py > $@
attributes_dev.rst: attributes.py $(SRC_DEV)/parser/data.py
	@echo "Generating dev attributes..."
	@$(MAKE) --no-print-directory checkout_dev
	python attributes.py > $@

# Same as above, we need three layers of targets, since this script
# especially takes some time as it performs all the tests.
.PHONY: coverage
coverage: coverage.rst coverage_dev.rst
coverage.rst: coverage.py $(wildcard $(SRC_PROD)/parser/*parser.py) $(wildcard $(CCLIB_PROD)/test/*.py)
	@echo "Generating prod coverage..."
	@$(MAKE) --no-print-directory checkout_prod
	python coverage.py $(CCLIB_PROD) > $@
coverage_dev.rst: coverage.py $(wildcard $(SRC_DEV)/parser/*parser.py) $(wildcard $(CCLIB_DEV)/test/*.py)
	@echo "Generating dev coverage..."
	@$(MAKE) --no-print-directory checkout_dev
	python coverage.py $(CCLIB_DEV) > $@

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
# %: Makefile
# 	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# We can't use the default catch-all target, because it traps our
# custom targets that don't use Sphinx, like `attributes`, but it's
# still needed for our specific Sphinx build type.
.PHONY: html
html: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
cclib (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Fixes overly generic python module name scripts/__init__.py (Clses:
    #897689).

 -- Michael Banck <mbanck@debian.org>  Mon, 24 Dec 2018 15:00:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: science
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Karol M. Langner <karol.langner@gmail.com>,
-           Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>> 9~),
+Uploaders: Michael Banck <mbanck@debian.org>
+Build-Depends: debhelper (>> 11~),
                dh-python,
                python-all (>> 2.6.6-3~),
                python-numpy (>> 1:1.4.1-4~),
@@ -12,10 +11,10 @@
                python3-all,
                python3-numpy (>> 1:1.6.2~rc1-1~),
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://cclib.github.io
-Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/cclib/
-Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/cclib/
+Vcs-Git: https://salsa.debian.org/debichem-team/cclib.git
+Vcs-Browser: https://salsa.debian.org/debichem-team/cclib
 
 Package: cclib
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with=python2,python3 --buildsystem=pybuild --parallel
+	dh $@ --with=python2,python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	# do nothing
 
 override_dh_install:
 	dh_install --list-missing

## cclib 1.6.1

=== requirements.txt ===
--- 
+++ 
@@ -9,3 +9,13 @@
 
 # For building the documentation
 sphinx
+
+# For testing
+pytest>=3.6
+coverage
+pytest-cov
+# This library is in the standard library starting from Python 3.3.
+mock ; python_version < '3.3'
+
+# We need this as long as we need support both Python 2 and 3.
+six

=== doc/sphinx/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	-rm -rf attributes*.rst
 	-rm -rf coverage*.rst
 
-PRODUCTION_VERSION = v1.6
+PRODUCTION_VERSION = v1.6.1
 CCLIB_PROD = $(BUILDDIR)/cclib_prod
 CCLIB_DEV = $(BUILDDIR)/cclib_dev
 SRC_PROD = $(CCLIB_PROD)/cclib

=== debian/changelog ===
cclib (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Fri, 19 Jul 2019 22:11:37 -0300

=== debian/watch ===
version=3
https://github.com/cclib/cclib/releases .*/v([\d.]+)\.tar\.gz$

## cclib 1.6.2

=== doc/sphinx/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	-rm -rf attributes*.rst
 	-rm -rf coverage*.rst
 
-PRODUCTION_VERSION = v1.6.1
+PRODUCTION_VERSION = v1.6.2
 CCLIB_PROD = $(BUILDDIR)/cclib_prod
 CCLIB_DEV = $(BUILDDIR)/cclib_dev
 SRC_PROD = $(CCLIB_PROD)/cclib

=== debian/changelog ===
cclib (1.6.2-2) unstable; urgency=medium

  * Team upload.
  * Fix imports to use new path to pybel in openbabel 3.
  * Update Standards-Version to 4.5.0 (no changes required).
  * Move to debhelper-compat (= 11).

 -- Stuart Prescott <stuart@debian.org>  Sun, 12 Apr 2020 18:17:59 +1000

cclib (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Build-Depends): Removed python-all, python-numpy and
    python-setuptools.
  * debian/control (python-cclib): Package removed (closes: #936275)
  * debian/rules: Remove python2 packaging.
  * debian/python-cclib.install: Removed.

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Nov 2019 16:39:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,16 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>> 11~),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
-               python-all (>> 2.6.6-3~),
-               python-numpy (>> 1:1.4.1-4~),
-               python-setuptools,
                python3-all,
                python3-numpy (>> 1:1.6.2~rc1-1~),
                python3-setuptools
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://cclib.github.io
 Vcs-Git: https://salsa.debian.org/debichem-team/cclib.git
 Vcs-Browser: https://salsa.debian.org/debichem-team/cclib
+Rules-Requires-Root: no
 
 Package: cclib
 Architecture: all
@@ -32,19 +30,6 @@
  If you are looking for the unit tests and data files managed by cclib,
  they are distributed separately as in non-free package cclib-data.
 
-Package: python-cclib
-Architecture: all
-Section: python
-Provides: ${python:Provides}
-Depends: ${misc:Depends}, ${python:Depends}
-Recommends: cclib
-Description: Parsers and algorithms for computational chemistry (Python module)
- A Python library that provides parsers for computational
- chemistry log files. It also provides a platform to implement
- algorithms in a package-independent manner.
- .
- This package contains the Python module.
-
 Package: python3-cclib
 Architecture: all
 Section: python

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_test:
	# do nothing

override_dh_install:
	dh_install --list-missing
	mv debian/cclib/usr/bin/ccget debian/cclib/usr/bin/cclib-get
	mv debian/cclib/usr/bin/cda debian/cclib/usr/bin/cclib-cda

## cclib 1.8

=== requirements.txt ===
packaging>=19.0
numpy

# methods
scipy>=1.2.0
periodictable

# bridges
biopython==1.76
ase>=3.21 ; python_version >= '3.5'
git+https://github.com/cclib/pyquante2.git@py37
git+https://github.com/theochem/iodata.git@1.0.0a2

# For building the documentation
sphinx

# For testing
pytest
coverage
pytest-cov

=== doc/Makefile ===
default: sphinx

.PHONY: sphinx
sphinx:
	$(MAKE) -C sphinx default

=== doc/sphinx/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	-rm -rf attributes*.rst
 	-rm -rf coverage*.rst
 
-PRODUCTION_VERSION = v1.6.2
+PRODUCTION_VERSION = v1.8
 CCLIB_PROD = $(BUILDDIR)/cclib_prod
 CCLIB_DEV = $(BUILDDIR)/cclib_dev
 SRC_PROD = $(CCLIB_PROD)/cclib
@@ -73,10 +73,12 @@
 	@echo "Generating prod attributes..."
 	@$(MAKE) --no-print-directory checkout_prod
 	python attributes.py > $@
+	sed -i "/find cython becke routine/d" $@
 attributes_dev.rst: attributes.py $(SRC_DEV)/parser/data.py
 	@echo "Generating dev attributes..."
 	@$(MAKE) --no-print-directory checkout_dev
 	python attributes.py > $@
+	sed -i "/find cython becke routine/d" $@
 
 # Same as above, we need three layers of targets, since this script
 # especially takes some time as it performs all the tests.
@@ -86,10 +88,12 @@
 	@echo "Generating prod coverage..."
 	@$(MAKE) --no-print-directory checkout_prod
 	python coverage.py $(CCLIB_PROD) > $@
+	sed -i "/find cython becke routine/d" $@
 coverage_dev.rst: coverage.py $(wildcard $(SRC_DEV)/parser/*parser.py) $(wildcard $(CCLIB_DEV)/test/*.py)
 	@echo "Generating dev coverage..."
 	@$(MAKE) --no-print-directory checkout_dev
 	python coverage.py $(CCLIB_DEV) > $@
+	sed -i "/find cython becke routine/d" $@
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

=== debian/changelog ===
cclib (1.8-1) unstable; urgency=medium

  * New upstream version (Closes: #1039452).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-numpy.

  [ Michael Banck ]
  * debian/watch: Updated. 
  * debian/patches/openbabel3-pybel-import.patch: Removed, applied upstream. 
  * debian/tests: Added autopkgtests (Closes: #1035127).

 -- Michael Banck <mbanck@debian.org>  Mon, 11 Sep 2023 12:33:57 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 11),
                dh-python,
                python3-all,
-               python3-numpy (>> 1:1.6.2~rc1-1~),
+               python3-numpy,
                python3-setuptools
 Standards-Version: 4.5.0
 Homepage: http://cclib.github.io

=== debian/tests/control ===
Tests: run-test
Depends: @, git, python3-pytest, python3-ase, python3-openbabel, python3-biopython
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
version=3
https://github.com/cclib/cclib/tags .*/v([\d.]+)\.tar\.gz$

## cclib 1.8.1

=== doc/sphinx/Makefile ===
--- 
+++ 
@@ -22,9 +22,10 @@
 	-rm -rf attributes*.rst
 	-rm -rf coverage*.rst
 
+# When releasing a new version, this can't be updated until after the tag is pushed.
 PRODUCTION_VERSION = v1.8
 CCLIB_PROD = $(BUILDDIR)/cclib_prod
-CCLIB_DEV = $(BUILDDIR)/cclib_dev
+CCLIB_DEV = $(realpath $(SOURCEDIR)/../..)
 SRC_PROD = $(CCLIB_PROD)/cclib
 SRC_DEV = $(CCLIB_DEV)/cclib
 
@@ -33,36 +34,27 @@
 # work correctly, since git updates timestamps on each checkout, which
 # would trigger some targets unnecessarily.
 .PHONY: cclib
-cclib: $(CCLIB_PROD) $(CCLIB_DEV)
+cclib: $(CCLIB_PROD)
 $(CCLIB_PROD):
 	@echo "Checking out prod..."
 	git clone https://github.com/cclib/cclib.git $@
 	cd $(CCLIB_PROD); git checkout $(PRODUCTION_VERSION)
-$(CCLIB_DEV):
-	@echo "Checking out dev..."
-	git clone -b master https://github.com/cclib/cclib.git $@
 
-.PHONY: update update_prod update_dev
-update: update_prod update_dev
+.PHONY: update update_prod
+update: update_prod
 update_prod:
 	@echo "Updating prod..."
 	cd $(CCLIB_PROD); git checkout $(PRODUCTION_VERSION); git fetch --all --tags
 	cd $(CCLIB_PROD); find . -name "*.pyc" -delete
-update_dev:
-	@echo "Updating dev..."
-	cd $(CCLIB_DEV); git pull origin; git fetch --all --tags
-	cd $(CCLIB_DEV); find . -name "*.pyc" -delete
 
 # Since we have two separate directories, 'checking out' a branch actually
 # means making a symlink to the appropriate directory, because scripts should be
 # impervious to this Makefile and will import from always the same name (cclib).
 .PHONY: checkout_prod checkout_dev
 checkout_prod:
-	-rm -rf cclib
-	ln -s $(SRC_PROD) cclib
+	ln -fs $(SRC_PROD) cclib
 checkout_dev:
-	-rm -rf cclib
-	ln -s $(SRC_DEV) cclib
+	ln -fs $(SRC_DEV) cclib
 
 # We need three layers of targets in order to always get the checkout
 # to execute, but the actual file-generating target to run only if the
@@ -73,12 +65,12 @@
 	@echo "Generating prod attributes..."
 	@$(MAKE) --no-print-directory checkout_prod
 	python attributes.py > $@
-	sed -i "/find cython becke routine/d" $@
+	-rm cclib
 attributes_dev.rst: attributes.py $(SRC_DEV)/parser/data.py
 	@echo "Generating dev attributes..."
 	@$(MAKE) --no-print-directory checkout_dev
 	python attributes.py > $@
-	sed -i "/find cython becke routine/d" $@
+	-rm cclib
 
 # Same as above, we need three layers of targets, since this script
 # especially takes some time as it performs all the tests.
@@ -88,12 +80,12 @@
 	@echo "Generating prod coverage..."
 	@$(MAKE) --no-print-directory checkout_prod
 	python coverage.py $(CCLIB_PROD) > $@
-	sed -i "/find cython becke routine/d" $@
+	-rm cclib
 coverage_dev.rst: coverage.py $(wildcard $(SRC_DEV)/parser/*parser.py) $(wildcard $(CCLIB_DEV)/test/*.py)
 	@echo "Generating dev coverage..."
 	@$(MAKE) --no-print-directory checkout_dev
 	python coverage.py $(CCLIB_DEV) > $@
-	sed -i "/find cython becke routine/d" $@
+	-rm cclib
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

=== debian/changelog ===
cclib (1.8.1-3) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: python3-h5py

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Dec 2025 18:35:01 +0100

cclib (1.8.1-2) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: python3-yaml

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Dec 2025 12:07:28 +0100

cclib (1.8.1-1) unstable; urgency=medium

  * Team upload

  [ Debichem Team ]
  * New upstream release.

  [ Michael Banck ]
  * debian/control (Build-Depends): Added pybuild-plugin-pyproject. 

  [ Drew Parsons ]
  * update debian/watch to version 5 format. Include Uversion-Mangle
    to catch alpha releases.
  * update debian/upstream/metadata: use Documentation field not Homepage
  * debian patch revert_versioningit_unPR1373.patch reverts upstream
    PR#1373 to remove use of versioningit, since it is not yet packaged
    for Debian (See WNPP#1010897).
  * debian patch test_skip_pyquante.patch skips tests requiring PyQuante
    (analysis.calculate(), or density tests in testvolume.py)
  * update debian/tests
    - checkout test data for the tag matching the current version.
      If not available, fall back to HEAD. Closes: #1108852.
    - run all regression tests
    - drop --terse from tests (pytest has no such option)
  * use help2man to generate a man page for ccframe

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Dec 2025 19:37:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper-compat (= 11),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-numpy,
                python3-setuptools

=== debian/tests/control ===
Tests: run-test
Depends: @,
 git,
 python3-pytest,
 python3-ase,
 python3-openbabel,
 python3-biopython,
 python3-h5py,
 python3-yaml
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
Version: 5

Template: Github
Owner: cclib
Project: cclib
Uversion-Mangle: s/(a|alpha|b|beta|c|dev|pre|rc)/~$1/
